net.snowflake.client.ingest.avro

## Class Row

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - net.snowflake.client.ingest.avro.Row

    public class Row
    extends org.apache.avro.specific.SpecificRecordBase

### Nested Class Summary

Nested Classes
`static class` `Row.Builder` RecordBuilder for Row instances.

### Field Summary

Fields
`int` `rowId` Deprecated.
`CharSequence` `rowString` Deprecated.
`static org.apache.avro.Schema` `SCHEMA$`

### Constructor Summary

Constructors
Constructor and Description
`Row()` Default constructor.
`Row(Integer rowId, CharSequence rowString)` All-args constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `get(int field$)`
`static org.apache.avro.Schema` `getClassSchema()`
`Integer` `getRowId()` Gets the value of the 'rowId' field.
`CharSequence` `getRowString()` Gets the value of the 'rowString' field.
`org.apache.avro.Schema` `getSchema()`
`static Row.Builder` `newBuilder()` Creates a new Row RecordBuilder.
`static Row.Builder` `newBuilder(Row.Builder other)` Creates a new Row RecordBuilder by copying an existing Builder.
`static Row.Builder` `newBuilder(Row other)` Creates a new Row RecordBuilder by copying an existing Row instance.
`void` `put(int field$, Object value$)`
`void` `readExternal(ObjectInput in)`
`void` `setRowId(Integer value)` Sets the value of the 'rowId' field.
`void` `setRowString(CharSequence value)` Sets the value of the 'rowString' field.
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA$

    public static final org.apache.avro.Schema SCHEMA$

#### rowId

    @Deprecated
    public int rowId

Deprecated.

#### rowString

    @Deprecated
    public CharSequence rowString

Deprecated.

### Constructor Detail

#### Row

    public Row()

Default constructor. Note that this does not initialize fields to their default values from the schema. If that is desired then one should use `newBuilder()`.

#### Row

    public Row(Integer rowId,
               CharSequence rowString)

All-args constructor.

Parameters:
  `rowId` - The new value for rowId
  `rowString` - The new value for rowString

### Method Detail

#### getClassSchema

    public static org.apache.avro.Schema getClassSchema()

#### getSchema

    public org.apache.avro.Schema getSchema()

#### get

    public Object get(int field$)

#### put

    public void put(int field$,
                    Object value$)

#### getRowId

    public Integer getRowId()

Gets the value of the 'rowId' field.

Returns:
  The value of the 'rowId' field.

#### setRowId

    public void setRowId(Integer value)

Sets the value of the 'rowId' field.

Parameters:
  `value` - the value to set.

#### getRowString

    public CharSequence getRowString()

Gets the value of the 'rowString' field.

Returns:
  The value of the 'rowString' field.

#### setRowString

    public void setRowString(CharSequence value)

Sets the value of the 'rowString' field.

Parameters:
  `value` - the value to set.

#### newBuilder

    public static Row.Builder newBuilder()

Creates a new Row RecordBuilder.

Returns:
  A new Row RecordBuilder

#### newBuilder

    public static Row.Builder newBuilder(Row.Builder other)

Creates a new Row RecordBuilder by copying an existing Builder.

Parameters:
  `other` - The existing builder to copy.
Returns:
  A new Row RecordBuilder

#### newBuilder

    public static Row.Builder newBuilder(Row other)

Creates a new Row RecordBuilder by copying an existing Row instance.

Parameters:
  `other` - The existing instance to copy.
Returns:
  A new Row RecordBuilder

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`